Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.table
Class PropertyTableModelBase

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--com.togethersoft.openapi.ide.inspector.util.table.PropertyTableModelBase

Direct Known Subclasses:
  PropertyTableModel, RwiElementsTableModel

public abstract class PropertyTableModelBase
extends AbstractTableModel

Represents table model which keeps InspectorProperties. Has basic methods to work with table model. Enables to get info about properties stored in this model - type, editor, value.

Author:
  TogetherSoft

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Method Summary
`abstract IdeInspectorProperty` | `getInspectorProperty(int row, int column)` Should be overridden in order to produce extra actions during of fetching.
`PropertyEditor` | `getPropertyEditor(int row, int column)` Fetches property editor from this table model.
`Class` | `getPropertyType(int row, int column)` Fetches property type from this table model.

Methods inherited from class javax.swing.table.AbstractTableModel
`getColumnName, findColumn, getColumnClass, isCellEditable, setValueAt, addTableModelListener, removeTableModelListener, fireTableDataChanged, fireTableStructureChanged, fireTableRowsInserted, fireTableRowsUpdated, fireTableRowsDeleted, fireTableCellUpdated, fireTableChanged, getListeners, getValueAt, getColumnCount, getRowCount`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Method Detail

### getInspectorProperty

    public abstract IdeInspectorProperty getInspectorProperty(int row, int column)

  Should be overridden in order to produce extra actions during of fetching.

### getPropertyEditor

    public PropertyEditor getPropertyEditor(int row, int column)

  Fetches property editor from this table model.
  Parameters:
    row - Row number in this table model
    column - Column number in this table model
  Returns: Property editor for this property value

### getPropertyType

    public Class getPropertyType(int row, int column)

  Fetches property type from this table model.
  Parameters:
    row - Row number in table model
    column - Column number in table model
  Returns: Type of the property value

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD